# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Attributes | List of all members
dirac_encoder_context_t Struct Reference

`#include <dirac_encoder.h>`

## Public Attributes
dirac_sourceparams_t | src_params
dirac_encparams_t | enc_params
int | instr_flag
int | decode_flag

## Detailed Description

Structure that holds the parameters that set up the encoder context

## Member Data Documentation

int dirac_encoder_context_t::decode_flag

Return locally decoded frames 1-return locally decoded frames, 0-no decoded frames returned

dirac_encparams_t dirac_encoder_context_t::enc_params

Encoder parameters

int dirac_encoder_context_t::instr_flag

Return diagnostics info 1-return mv data, 0-no diagnostics returned

dirac_sourceparams_t dirac_encoder_context_t::src_params

Source parameters

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.